[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Configuring gnu-gnu-gnu on OSX 10.3.4

From: Thierry DELHAISE
Subject: Configuring gnu-gnu-gnu on OSX 10.3.4
Date: Mon, 5 Jul 2004 12:36:25 +0200

Hi all,

I trying to build gnustep-base on OSX 10.3.4

./configure failed on gnustep/core/base : saying that ffi functionality are not here :

checking ffi.h usability... no
checking ffi.h presence... no
checking for ffi.h... no

but I have libffi.

I think the problem I face out is due to ./configure not being able to find my "LOCAL" libffi.

Any Ideas ?

THX in advance


---------------------------------------- MY ENV --------------------------------------------------- I allready have a gnustep-base installed (and GNUstep.sh is source) build with :

./configure --prefix=/usr/local/GNUstep --with-library-combo=gnu-gnu-gnu --disable-flattened --enable-multi-platform.

For those who want to know why : I really want this env on OS/X : I just want OS/X to be a host env for GNUstep targets.

1 - So first step I tried for making base :

Use Native gcc3.3 compiler of OS/X to build base :

So "i've just run configure" on "base" without parameters : so ./configure use env setup by gnustep-make. In this test, so the used comiler in the native gcc3.3 comming from OS/X :

This compiler does not provide NXConstStr.h and does not provide libffi too. So this don't work.

About libffi : I first started by building ffcal on darwin, but fffcal failed to "CHECK" : make check failed with

cd trampoline_r; make check
Works, test1 passed.
test2 passed.
touch tests.passed.powerpc-apple-darwin7.4.0
./minitests > minitests.out
make[1]: *** [check] Error 132
make: *** [check] Error 2

2 - So I've decided de use libffi : for this reason, and since libffi is not available on gcc3.3-apple, I 've install gcc-3.4.1-RELEASE.

gcc-3.4.1 successfully build and install with language=C,C++,Objective-C.

gcc3.4 is install in /usr/local/gcc3.4.

So touch my env by adding :

/usr/local/gcc3.4/bin in PATH in front of all vars.
/usr/local/gcc3.4/lib in DYLD_LIBRARY_PATH.

I 've verified that ffi.h is present in /usr/local/gcc3.4/include.

and now I have libffi.dylib -> libffi-2.00-beta.dylib in /usr/local/lib

 but with all this sets, I failed configuring.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]